[Testing Update] 2020-10-27 - KDE-git, Firefox, Deepin, Plasma 5.20.2, LibreOffice, Linux 5.10-rc1

Plasma 5.20.2 works out good. Icons and themes visual interface look correct and no other issues so far.

All fine, here: XFCE + Linux58 + BTRFS

Fine here, new install with KDE + Linux91 + BTRFS

i have this message error

systemd-modules-load[342]: Failed to find module 'platform-integrity'

lost notify update ( no icon red , no notify )

2 Likes

rebuild of compiz-manjaro against the new version of metacity introduced in the last updates is still missing.

Update for pamac-tray-icon-plasma still missing.

From the Plasma 5.20.2 changelog page:

[plasma-session] Fix application lifespan. Commit. Fixes bug #422948

It looks like the broken startup sound bug introduced in 5.19.0 finally got fixed, and I can confirm that working after the upgrade! :tada:

Other than that, the update was smooth as usual, and no issues popping up so far. Thank you Manjaro team!

I am new here and still a bit new to Linux so I apologize in advance if my issue is a simple fix. But upon updating using
yay -Syu,
get all the way to the end and I get these errors. Relating to NPM

Total Installed Size:  525.00 MiB
Net Upgrade Size:        4.72 MiB

:: Proceed with installation? [Y/n] Y
(25/25) checking keys in keyring                                                   [###############################################] 100%
(25/25) checking package integrity                                                 [###############################################] 100%
(25/25) loading package files                                                      [###############################################] 100%
(25/25) checking for file conflicts                                                [###############################################] 100%
error: failed to commit transaction (conflicting files)
npm: /usr/lib/node_modules/npm/node_modules/meant/.github/workflows/ci.yml exists in filesystem
npm: /usr/lib/node_modules/npm/node_modules/minimist/.travis.yml exists in filesystem
npm: /usr/lib/node_modules/npm/node_modules/minimist/LICENSE exists in filesystem
npm: /usr/lib/node_modules/npm/node_modules/minimist/example/parse.js exists in filesystem
npm: /usr/lib/node_modules/npm/node_modules/minimist/index.js exists in filesystem
npm: /usr/lib/node_modules/npm/node_modules/minimist/package.json exists in filesystem
npm: /usr/lib/node_modules/npm/node_modules/minimist/readme.markdown exists in filesystem
npm: /usr/lib/node_modules/npm/node_modules/minimist/test/all_bool.js exists in filesystem
npm: /usr/lib/node_modules/npm/node_modules/minimist/test/bool.js exists in filesystem
npm: /usr/lib/node_modules/npm/node_modules/minimist/test/dash.js exists in filesystem
npm: /usr/lib/node_modules/npm/node_modules/minimist/test/default_bool.js exists in filesystem
npm: /usr/lib/node_modules/npm/node_modules/minimist/test/dotted.js exists in filesystem
npm: /usr/lib/node_modules/npm/node_modules/minimist/test/kv_short.js exists in filesystem
npm: /usr/lib/node_modules/npm/node_modules/minimist/test/long.js exists in filesystem
npm: /usr/lib/node_modules/npm/node_modules/minimist/test/num.js exists in filesystem
npm: /usr/lib/node_modules/npm/node_modules/minimist/test/parse.js exists in filesystem
npm: /usr/lib/node_modules/npm/node_modules/minimist/test/parse_modified.js exists in filesystem
npm: /usr/lib/node_modules/npm/node_modules/minimist/test/proto.js exists in filesystem
npm: /usr/lib/node_modules/npm/node_modules/minimist/test/short.js exists in filesystem
npm: /usr/lib/node_modules/npm/node_modules/minimist/test/stop_early.js exists in filesystem
npm: /usr/lib/node_modules/npm/node_modules/minimist/test/unknown.js exists in filesystem
npm: /usr/lib/node_modules/npm/node_modules/minimist/test/whitespace.js exists in filesystem
Errors occurred, no packages were upgraded.

How can I fix this issue?
Thanks in advance

Don’t use sudo with npm. Also see:

Thank you. I have fixed my issue!

warning: directory permissions differ on /var/lib/gdm/.local/
filesystem: 755  package: 700

Thank you for the updates.

Fine for me: KDE plasma 5.20.2 + Linux 5.9.1 + Ext4 + Wayland. Some french translations missing but otherwise it’s good.

Fine for me in both machines.
Intel + nvidia laptop: Manjaro i3 + linux 5.8.16 + prime using nvidia 450.
Ryzen + nvidia desktop: Manjaro KDE + linux 5.8.16 + nvidia 450.

how to get plasma 5.20? when will it will come to stable?

1 Like

@Yochanan

Gnome - testing: accidentally read journalctl
many entries beginning with:

gnome-shell[1298]: Can’t update stage views actor …
(Can’t update stage views actor ClutterText is on because it needs an allocation.
Can’t update stage views actor StIcon is on because it needs an allocation.
Can’t update stage views actor Gjs_ui_appDisplay_AppIcon is on because it needs an allocation.)

I’m not sure if it is only me, but I had several GPU crashes with Kernel 5.8 and nvidia 455. First when it happened previous update I though it was the game I was playing on, but it happened some other times since then.

oct. 28 15:35:03 omano-nvme kernel: NVRM: GPU at PCI:0000:07:00: GPU-6741dc5c-a7dd-c3f6-ab1f-5c3df75b5786
oct. 28 15:35:03 omano-nvme kernel: NVRM: GPU Board Serial Number: 
oct. 28 15:35:03 omano-nvme kernel: NVRM: Xid (PCI:0000:07:00): 79, pid=0, GPU has fallen off the bus.
oct. 28 15:35:03 omano-nvme kernel: NVRM: GPU 0000:07:00.0: GPU has fallen off the bus.
oct. 28 15:35:03 omano-nvme kernel: NVRM: GPU 0000:07:00.0: GPU is on Board .
oct. 28 15:35:03 omano-nvme kernel: NVRM: A GPU crash dump has been created. If possible, please run
                                    NVRM: nvidia-bug-report.sh as root to collect this data before
                                    NVRM: the NVIDIA kernel module is unloaded.

It can happen when browsing Youtube, or playing a Proton game for example. It seems random.
When it happens, fans go full speed, I have no video output, and I can’t do anything but hard reboot.

I switched to Kernel 5.4 to see if it happens there too.

//EDIT: it happens on Kernel 5.4 too. I switched to drivers 450 and will see if issue is still there. I doubt it but it could be a hardware issue. I doubt it really.
//EDIT2: kernel 5.4 nvidia 450 same issue
//EDIT3: kernel 5.4 or 5.8 + nvidia 440 and no issue so far. Seems like 450 and 455 drivers have issues currently. No issues on Windows after a couple hours tests gaming.
//EDIT4: still no issue with nvidia 440 after one more day. For me there is an issue with latest 450 and 455 drivers. I might try to go back to 455 and troubleshoot and/or find a way to catch more error logs.

1 Like

If you want to get Plasma 5.20 now, you will have to switch branches according to instructions in the Wiki (it’s very easy to do). Otherwise, you’ll have to wait a few days. Manjaro devs will post in #announcements when they add Plasma 5.20 to the stable branch.

I find Plasma 5.20 stable enough that hopefully it should be pushed into stable soon.

1 Like

I have it too on 5.8 and Nvidia 455, but mostly resuming from standby

For now, no issue with nvidia 440 but it limits things like using NVENC (only supported with latest drivers), if you want to try and confirm the issue disappear it could help confirm an issue in 455/450 drivers.

This Discord entry from the wiki post can now be removed since Arch fixed the packaging screwup.
https://bugs.archlinux.org/task/68364?project=5&string=discord